<?php
    /**
    *
    * copyright (c) 2013-2023 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */

    include "../../componenti/include/includeBaseComponenti.php";
    include "../../../gUtil/GeneratoreEmail.php";
    
    // solo i super admin hanno accesso agli strumenti
    if($_SESSION["geecomAdmin_ruolo"]!="super admin") {
        header("Location: {$percorsoBase}index.php");
        exit();
    }
    
    $destinatario  = filter_input(INPUT_POST,"",FILTER_SANITIZE_ADD_SLASHES);
    $messaggio     = "Questa è una email di prova inviata dallo strumento test mail di Geecom CMS";
    $indirizzoSito = str_replace(array("https://www.","https://","http://www.","http://",),"",$impostazioni["urlSito"]);
        
    $generatoreEmail = new GeneratoreEmail("Geecom CMS","geecom@$indirizzoSito");
    $generatoreEmail->invia($destinatario, "Email di test", $messaggio);
    echo "ok";